Subject: Re: [bug#67941] [PATCH] gnu: icecat-minimal: Fix dependency to libcanberra.

From: Clément Lassieur <[email-masked]>
Date: Thu, 21 Dec 2023 12:07:18 +0000

On Thu, Dec 21, 2023, at 11:23 AM, Jonathan Brielmaier wrote:
> Salut Clément,

Hey Jonathan :)

> Am 20.12.23 um 20:50 schrieb Clément Lassieur:
> > * gnu/packages/gnuzilla.scm (icecat-minimal)[arguments]: Add
> > 'libcanberra/lib/gtk-3.0/modules' to LD_LIBRARY_PATH in the 'wrap-program'
> > phase.
> 
> I assume this fixes some problems with sound themes of Icecat? If I
> understand correctly what "libcanberra" is supposed to do...

It fixes this message on Icecat startup:

Gtk-Message: 13:05:56.635: Failed to load module "canberra-gtk-module"
Gtk-Message: 13:05:56.636: Failed to load module "canberra-gtk-module"

I'll add this to the commit message.